Skip to main content

Update Channel Partner

PUT 

/api/channel-partners/:id

Updates a channel partner integration instance.

Not yet available to API tokens

This endpoint currently requires session authentication; Personal Access Token scope support is in progress.

Authentication: Requires Bearer token.

Fields (all optional):

  • name: Updated name (max 255 chars)

  • store_id: Updated store ID (nullable)

  • unmatched_customer_behavior (optional): auto_create (default — unmatched inbound customers are matched or created automatically) or review (orders from unmatched customers are held with a 422 unmapped_references response until the identity is mapped).

Requires permission: integrations.update

Request​

Responses​

OK

Response Headers
    Content-Type